/**
 *
 */
package edu.agh.sm2006.smschess.server.cimd.message;

import java.util.Scanner;

import edu.agh.sm2006.smschess.server.cimd.CIMDConnector;
import edu.agh.sm2006.smschess.server.cimd.CIMDParameterType;

/**
 * @author Kuba Madej
 *
 */
public class MessageFactory {
	public static Message getMessage(final String messageString) {
		final Scanner scanner = new Scanner(messageString).useDelimiter(""
				+ CIMDConnector.TAB);
		final String header = scanner.next();
		MessageType type = MessageType.getCIMDMessageType(MessageHeaderParser
				.getTypeString(header));
		Message message = new Message(type);
		while (scanner.hasNext()) {
			final String parameterString = scanner.next();
			if (parameterString.length() >= 4)
				message.addParameter(CIMDParameterType
						.getParameterType(parameterString.substring(0, 3)),
						parameterString.substring(4));
		}
		return message;
	}
}
