/**
 * 
 */
package edu.agh.sm2006.smschess.server.cimd.message;

/**
 * Contains common methods for CIMD message header parsing. All methods assume,
 * that given header starts with CIMDConnactor.STX. The end of the header is not
 * specified (the header pased may by even the whole message).
 * 
 * @author Kuba Madej
 * 
 */
public class MessageHeaderParser {
	public static String getTypeString(final String header) {
		return header.substring(1, 3);
	}

	public static String getMessageNumber(final String header) {
		return header.substring(4, 7);
	}
}
