package edu.agh.sm2006.smschess.server.message.client2server;

import edu.agh.sm2006.smschess.server.message.MalformedMessageException;
import edu.agh.sm2006.smschess.server.message.client2server.CreateSessionMessage;
import junit.framework.TestCase;

public class CreateSessionMessageTest extends TestCase {
	private CreateSessionMessage message = new CreateSessionMessage();

	public void testBadParameters() throws Exception {
		try {
			message.setParameters("", "x\n");
			fail();
		} catch (MalformedMessageException e) {
		}
	}

	public void testGoodParameters() throws Exception {
		message.setParameters("", "x");

		assertFalse(message.isPublicSession);
		assertTrue(message.isXboardSession);
	}
}
