/**
 *
 */
package edu.agh.sm2006.smschess.server.message.server2client;

import edu.agh.sm2006.smschess.server.message.MessageType;

/**
 * @author Kuba Madej
 *
 */
public abstract class ServerToClientMessage {
	private String[] parameters;

	private MessageType type;

	/**
	 * @param type
	 */
	public ServerToClientMessage(MessageType type, String... parameters) {
		this.type = type;
		this.parameters = parameters;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		String string = type.toString();

		for (String parameter : parameters) {
			string += ":" + parameter;
		}

		return string;
	}

}
