/**
 *
 */
package edu.agh.sm2006.smschess.server.message.server2client;

import edu.agh.sm2006.smschess.server.message.MessageType;

/**
 * Message sent when back to a client when the client succesfully joins public
 * session or creates new xboard session.
 *
 * @author Kuba Madej
 *
 */
public class SessionJoinedMessage extends ServerToClientMessage {

	public SessionJoinedMessage(String sessionId) {
		super(MessageType.SessionJoined, sessionId);
	}

}
